---
title: inputmode
slug: Web/HTML/Global_attributes/inputmode
tags:
  - Attribute
  - Editing
  - Forms
  - Global attributes
  - HTML
  - Input
  - Reference
  - Text
  - Web
  - contenteditable
  - global
  - inputmode
  - text input
---
<div>{{HTMLSidebar("Global_attributes")}}</div>

<p><span class="seoSummary">The <strong><code>inputmode</code></strong> <a href="/en-US/docs/Web/HTML/Global_attributes">global attribute</a> is an enumerated attribute that hints at the type of data that might be entered by the user while editing the element or its contents.</span> It can have the following values:</p>

<dl>
 <dt><code>none</code></dt>
 <dd>No virtual keyboard. For when the page implements its own keyboard input control.</dd>
 <dt><code>text</code> (default value)</dt>
 <dd>Standard input keyboard for the user's current locale.</dd>
 <dt><code>decimal</code></dt>
 <dd>Fractional numeric input keyboard containing the digits and decimal separator for the user's locale (typically <kbd>.</kbd> or <kbd>,</kbd>). Devices may or may not show a minus key (<kbd>-</kbd>).</dd>
 <dt><code>numeric</code></dt>
 <dd>Numeric input keyboard, but only requires the digits 0–9. Devices may or may not show a minus key.</dd>
 <dt><code>tel</code></dt>
 <dd>A telephone keypad input, including the digits 0–9, the asterisk (<kbd>*</kbd>), and the pound (<kbd>#</kbd>) key. Inputs that <em>require</em> a telephone number should typically use <code>{{HTMLElement("input/tel", '&lt;input type="tel"&gt;')}}</code>instead.</dd>
 <dt><code>search</code></dt>
 <dd>A virtual keyboard optimized for search input. For instance, the <a href="https://html.spec.whatwg.org/dev/interaction.html#input-modalities:-the-enterkeyhint-attribute">return/submit key</a> may be labeled “Search”, along with possible other optimizations. Inputs that <em>require</em> a search query should typically use <code>{{HTMLElement("input/search", '&lt;input type="search"&gt;')}}</code> instead.</dd>
 <dt><code>email</code></dt>
 <dd>A virtual keyboard optimized for entering email addresses. Typically includes the <kbd>@</kbd> character as well as other optimizations. Inputs that <em>require</em> email addresses should typically use <code>{{HTMLElement("input/email", '&lt;input type="email"&gt;')}}</code> instead.</dd>
 <dt><code>url</code></dt>
 <dd>A keypad optimized for entering URLs. This may have the <kbd>/</kbd> key more prominent, for example. Enhanced features could include history access and so on. Inputs that <em>require</em> a URL should typically use <code>{{HTMLElement("input/url", '&lt;input type="url"&gt;')}}</code> instead.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "interaction.html#input-modalities:-the-inputmode-attribute", "inputmode")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.global_attributes.inputmode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>All <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</li>
</ul>
